Last Comment Bug 773167 - Otoro: 3G Data Call fail on ICS
: Otoro: 3G Data Call fail on ICS
Status: VERIFIED FIXED
:
Product: Core
Classification: Components
Component: DOM: Device Interfaces (show other bugs)
: Trunk
: x86_64 Linux
: -- normal (vote)
: mozilla17
Assigned To: Vincent Liu[:vliu]
:
: Andrew Overholt [:overholt]
Mentors:
Depends on:
Blocks: 763160
  Show dependency treegraph
 
Reported: 2012-07-12 00:29 PDT by Kan-Ru Chen [:kanru] (UTC+8)
Modified: 2012-07-26 10:55 PDT (History)
8 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
+
+


Attachments
patch file to remove fix in otoro GB (2.63 KB, patch)
2012-07-15 00:51 PDT, Vincent Liu[:vliu]
philipp: review+
Details | Diff | Splinter Review

Description Kan-Ru Chen [:kanru] (UTC+8) 2012-07-12 00:29:57 PDT
The quirk introduced by bug 763160 is not needed on Otoro ICS. We need to find a way to distinguish between Otoro GB and ICS, or remove the quirk in favor of ICS.
Comment 1 Kan-Ru Chen [:kanru] (UTC+8) 2012-07-12 00:40:17 PDT
To enable 3G on Otoro ICS you have to apply this gonk patch

https://github.com/mozilla-b2g/android-device-otoro/pull/7
Comment 2 Michael Vines [:m1] [:evilmachines] 2012-07-12 07:13:45 PDT
We should drop support for Otoro GB, its a dead platform
Comment 3 John Hammink 2012-07-12 09:31:34 PDT
One manifestation we're seeing on ICS based Otoro devices is this: 

https://github.com/mozilla-b2g/gaia/issues/2360
Comment 4 Philipp von Weitershausen [:philikon] 2012-07-13 17:21:54 PDT
vliu, could you take care of this? Thanks!
Comment 5 Vincent Liu[:vliu] 2012-07-15 00:51:50 PDT
Created attachment 642348 [details] [diff] [review]
patch file to remove fix in otoro GB

(In reply to Philipp von Weitershausen [:philikon] from comment #4)
> vliu, could you take care of this? Thanks!

I attached a patch to remove the fix in otoro GB. Please review it. Thanks.
Comment 6 Philipp von Weitershausen [:philikon] 2012-07-16 13:41:43 PDT
Comment on attachment 642348 [details] [diff] [review]
patch file to remove fix in otoro GB

Thanks for the quick patch, vliu! AFAICT we may want to support both GB and ICS for a short period of time, so I'm going to hold off on the r+ for now while we can find out how to support both by detecting which one we're dealing with at runtime.
Comment 7 Philipp von Weitershausen [:philikon] 2012-07-16 13:44:07 PDT
Comment on attachment 642348 [details] [diff] [review]
patch file to remove fix in otoro GB

Erm, never mind, let's just move forward on ICS.
Comment 8 Philipp von Weitershausen [:philikon] 2012-07-16 14:53:25 PDT
https://hg.mozilla.org/integration/mozilla-inbound/rev/7fe4e32d8ca3
Comment 9 Ed Morley [:emorley] 2012-07-17 02:12:18 PDT
https://hg.mozilla.org/mozilla-central/rev/7fe4e32d8ca3
Comment 10 Naoki Hirata :nhirata (please use needinfo instead of cc) 2012-07-26 10:55:17 PDT
Verified:
Otoro phone, build 2012-07-26
Taken from default.xml in b2g-distro: 
* "platform_build" revision= 2163d79af8c06ffcf7607a83e01dc5bf1107fd8e
* "gaia" revision= 2a43477715fcbb420f91739a787ac6af3bd857d8
* "mozilla-central" revision= d216f9252c024d8de8cd5e034b9ac28ad5d3391d
* "gonk-misc" revision= c6a9a256cd4a1c53696488739d36778b9dbfc881

Note You need to log in before you can comment on or make changes to this bug.